import request from '@/utils/request'

// 查询列表【请填写功能名称】
export function listSend(query) {
  return request({
    url: '/core/send/list',
    method: 'get',
    params: query
  })
}

// 查询详细【请填写功能名称】
export function getSend(id) {
  return request({
    url: '/core/send/' + id,
    method: 'get'
  })
}

// 新增【请填写功能名称】
export function addSend(data) {
  return request({
    url: '/core/send',
    method: 'post',
    data: data
  })
}

// 修改【请填写功能名称】
export function updateSend(data) {
  return request({
    url: '/core/send',
    method: 'put',
    data: data
  })
}

// 删除【请填写功能名称】
export function delSend(id) {
  return request({
    url: '/core/send/' + id,
    method: 'delete'
  })
}
